package com.ssj.service.conch.student.dto;

import java.io.Serializable;

public class HomeworkSubjectDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String workId;

    private String subject;

    private String picture;

    private String timeCost;

    private int isCorrect = 0;
    private int isVague = 0;

    public String getWorkId() {
        return workId;
    }

    public void setWorkId(String workId) {
        this.workId = workId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getTimeCost() {
        return timeCost;
    }

    public void setTimeCost(long minute) {
        if (minute > 60L){
            this.timeCost = minute / 60 + "时" + minute % 60 + "分";
        } else {
            this.timeCost = minute + "分";
        }
    }

    public int getIsCorrect() {
        return isCorrect;
    }

    public void setCorrect(int correct) {
        isCorrect = correct;
    }

    public int getIsVague() {
        return isVague;
    }

    public void setIsVague(int isVague) {
        this.isVague = isVague;
    }
}
